int sweepfwd[] = {60,80,80,90,90,90};
int sweepaft[] = {90,90,90,80,80,60};
int heaveup[]  = {180,180,180,180,180,180};
int heavedn[]  = {160,160,160,160,160,160};

#include <SoftwareSerial.h>

SoftwareSerial mySerial(1, 0); // RX, TX

void flashLEDs(int i,int j,int k) {
  delay(100);
  digitalWrite(5,LOW); digitalWrite(6,LOW); digitalWrite(7,LOW);
  delay(100);
  digitalWrite(7,i); digitalWrite(5,j); digitalWrite(6,k);
}

void commandLeg(String commandString) {
    mySerial.println(commandString);
    flashLEDs(0,0,1);
    delay(100);
  
}
void setup() {
  // set the data rate for the SoftwareSerial port
  mySerial.begin(1200);
  pinMode(5,OUTPUT);
  pinMode(6,OUTPUT);
}

void loop() { // run over and over

  int leg=0;
  String commandString;
    commandString = "N7 heave 140";
    commandLeg(commandString);

    delay(1000);

    commandString = "N7 heave 120";
    commandLeg(commandString);

    delay(1000);
}


